%define name musashi
%define version 1.0.3
#%define srcrel pre6
%define release 2
%define date 20040214

# default encoding is euc
# Used setdocenc.sh
%define docenc 1
# Set this to "1" if you want to use UTF-8
%define utf8 1
# Set this to "1" if you want to use Shift_JIS
%define sjis 0

Summary: MUSASHI provides a set of commands for data mining and data warehousing
Name: musashi
Summary(ja): MUSAHI はデータマイニングやデータウェアハウジング向けのコマンド群を提供します
Version: %{version}
Release: %{release}
License: GPL2
Group: Applications/Databases
Url: http://musashi.sourceforge.ne.jp/
BuildRoot: %{_tmppath}/%{name}-buildroot
Source0: %{name}-core-%{version}.tar.gz
Source1: %{name}-man-%{date}.tar.gz
Source2: %{name}-module-%{date}.tar.gz
Source3: %{name}-check-%{date}.tar.gz
Source4: xtmvavg.tar.bz2
BuildPrereq: libtool, automake, autoconf, libxml2-devel, zlib-devel, gawk
%if %{docenc}
BuildPrereq: perl
%endif
Requires: libxml2, bash

%description
MUSASHI is a set of commands that enables us to efficiently execute various types of data manipulations in a flexible manner, mainly aiming at data processing of huge amount of data required for data mining. Data format which MUSASHI can deal with is either an XML table written in XML or plain text file with table structure. Maximum data size which MUSASHI can handle ranges from millions to tens of millions of records. 

%description -l ja
MUSASHIは、当初、ビジネスにおけるデータマイニングの実施に必要となる、
大量データ処理のために開発されたコマンド群です。MUSASHIが処理対象とする
データはXMLで記述されたXMLtableもしくはPlain Textによる表構造のデータです。
マシンのスペックにもよりますが、数百万件〜数千万件のデータ処理が可能です。

%prep
%setup -q -c -a 1 -a 2

pushd %{name}-core-%{version}
%if %{utf8}
perl -pi -e 's,^#(helpEnc=ja-utf8),$1,' setdocenc.sh
perl -pi -e 's,^#(manEnc=ja-utf8),$1,' setdocenc.sh
perl -pi -e 's,^#(xmlEnc=UTF-8),$1,' setdocenc.sh
./setdocenc.sh
%endif

%if %{sjis}
perl -pi -e 's,^#(helpEnc=ja-sjis),$1,' setdocenc.sh
perl -pi -e 's,^#(manEnc=ja-sjis),$1,' setdocenc.sh
perl -pi -e 's,^#(xmlEnc=Shift_JIS),$1,' setdocenc.sh
./setdocenc.sh
%endif
popd

%build
pushd %{name}-core-%{version}
%configure 
make
popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/ja/man1
mkdir -p %{buildroot}%{_datadir}/musashi

pushd %{name}-core-%{version}
%makeinstall
popd

pushd %{name}-man-%{date}
# install man files of en
cp en/*.1 %{buildroot}%{_mandir}/man1/
# install man files of ja
cp ja-utf8/*.1 %{buildroot}%{_mandir}/ja/man1
popd

# install modules' shell script
pushd %{name}-module-%{date}
install ja-utf8/*.sh %{buildroot}%{_bindir}

# install xtmvavg.sh from [MUSASHI-users:294]
tar xzvf %{SOURCE4}
install xtmvavg/ja-utf8/xtmvavg.sh %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/musashi/xtmvavg
install xtmvavg/ja-utf8/test.sh %{buildroot}%{_datadir}/musashi/xtmvavg
install -m 644 xtmvavg/ja-utf8/*.xt %{buildroot}%{_datadir}/musashi/xtmvavg
popd

# install check script to /usr/share/musashi
cd %{buildroot}%{_datadir}/musashi
tar xzvf %{SOURCE3}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
                                                                                
%post -p /sbin/ldconfig
                                                                                
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc %{name}-core-%{version}/{AUTHORS,COPYING,ChangeLog,README,INSTALL,NEWS}
%{_libdir}/lib*
%{_includedir}/musashi.h
%{_includedir}/musashi/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/ja/man1/*
%{_datadir}/musashi/*

%changelog
* Mon May 24 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-2
- build for FedoraCore1
- added xtmvavg from MUSASHI-users:294
- installed musashi-check-20040214 in %{_datadir}/musashi
- added %%claen, %%post and %%postun

* Thu Feb 19 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-1
- new upstreamn version
	-- musashi-core-1.0.3 release
- cleaned up spec file

* Mon Feb 16 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-0.pre6_1
- new upstream vesion
        -- source file were divided musashi-core, musashi-man, musashi-module
        -- added musashi-check to /usr/share/musashi
- default charset is used utf-8 (for FedoraCore)

* Wed Feb 11 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-0.pre5_2
- added shell script to bindir

* Wed Feb 11 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-0.pre5_1
- new upstream version

* Tue Feb 03 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-0.pre4_2
- added perl to BuildPrereq if setdocenc.sh is used 
- removed BuildArch tag

* Tue Feb 03 2004 Satoshi MACHINO <machino@vinelinux,org> 1.0.3-0.pre4_1
- new upstream version
- fixed spec file
        -- moved musashi.h to /usr/include/
- enabled to select using encoding
	-- default encoding is "EUC"

* Sat Jan 17 2004 Satoshi MACHINO <machino@vinelinux,org> 1.0.3-0.pre3_1
- added INSTALL, NEWS to doc dir
- fixed spec file
	-- selectable by charset to install ja man files

* Thu Jan 15 2004 Yukinobu Hamuro <hamuro@adm.osaka-sandai.ac.jp> 1.0.3-0.pre3
- imported from 1.0.3-0.pre2vl0.26.1 made by Satoshi MACHINO

* Fri Jan 09 2004 Yukinobu Hamuro <hamuro@adm.osaka-sandai.ac.jp> 1.0.3-0.pre2
- built for TurboLinux WorkStation 7.0
